package thyyxxk.webserver.entity.medicalinsurance.manage;

import lombok.Data;

import java.math.BigDecimal;
import java.math.RoundingMode;

@Data
public class InstSetlLdgChkBrf {
    private String visitId;
    private String setlId;
    private String mdtrtId;
    private String psnNo;
    private String msgId;
    private BigDecimal medfeeSumamt;
    private BigDecimal acctPay;
    private BigDecimal fundPaySumamt;
    private BigDecimal psnCashPay;
    private BigDecimal hospPartAmt;

    private BigDecimal medfeeSumamt2;
    private BigDecimal fundPaySumamt2;

    public BigDecimal getMedfeeSumamt() {
        return null == medfeeSumamt ? null : medfeeSumamt.setScale(2, RoundingMode.HALF_UP);
    }

    public BigDecimal getFundPaySumamt() {
        return null == fundPaySumamt ? null : fundPaySumamt.setScale(2, RoundingMode.HALF_UP);
    }

    public BigDecimal getMedfeeSumamt2() {
        return null == medfeeSumamt2 ? null : medfeeSumamt2.setScale(2, RoundingMode.HALF_UP);
    }

    public BigDecimal getFundPaySumamt2() {
        return null == fundPaySumamt2 ? null : fundPaySumamt2.setScale(2, RoundingMode.HALF_UP);
    }
}
